/**
 * XDocumentEncounterMood2.java
 *
 * File generated from the medication2::XDocumentEncounterMood2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XDocumentEncounterMood2.
 *
 * 
 */

@XmlType(name = "XDocumentEncounterMood")
@XmlEnum
@XmlRootElement(name = "XDocumentEncounterMood2")
public enum XDocumentEncounterMood2 {
	@XmlEnumValue("INT")
	INT("INT"),
	@XmlEnumValue("APT")
	APT("APT"),
	@XmlEnumValue("ARQ")
	ARQ("ARQ"),
	@XmlEnumValue("EVN")
	EVN("EVN"),
	@XmlEnumValue("PRMS")
	PRMS("PRMS"),
	@XmlEnumValue("PRP")
	PRP("PRP"),
	@XmlEnumValue("RQO")
	RQO("RQO");
	
	private final String value;

    XDocumentEncounterMood2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XDocumentEncounterMood2 fromValue(String v) {
        for (XDocumentEncounterMood2 c: XDocumentEncounterMood2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
